Subject: Re: cygipc (and PostgreSQL) XP problem resolved!
From: Robert Collins <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: 11 May 2003 14:46:52 +1000

On Sun, 2003-05-11 at 14:18, Charles Wilson wrote:
> Robert Collins wrote:
> 
> > For the record though: My stance waay back about cygipc being in the
> > distribution, as in the mail archives, has not changed.
> 
> e.g.
> "I [R. Collins] still don't think that cygipc belongs in the main distro
> however."
> http://www.cygwin.com/ml/cygwin-developers/2002-06/msg00016.html
> 
> Why be coy?

Eh? I didn't intend to be. Unfortunately it looks like that link is the
only one relevant...

For the cygwin@ folk:
"
> In reality, there is no reason why we couldn't include cygipc 
> in the cygwin
> release.  I was just concerned that the inclusion of cygipc 
> would hinder the
> development of a true cygwin DLL solution that used some of 
> the principles
> embodied in Robert/Egor's cygserver.

Yes, and we all agreed with that! I don't recall GPL issues ever being
raised against the inclusion of the cygipc _package_.

Furthermore, with the federated setup.ini capability, there's no reason
that someone 'out there' can't make cygipc available as a package if
they want to. I still don't think that cygipc belongs in the main distro
however. Oops, getting offtopic, perhaps this should go to cygwin-apps?
"

Rob

-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.